<?php
/*******************************************************************************
*	This file is part of Woogle4MediaWiki
*   (http://www.mediawiki.org/wiki/Extension:Woogle4MediaWiki)
*
*	Copyright (c) 2007 - 2010 Hans-Jörg Happel and
*	FZI Forschungszentrum Informatik an der Universität Karlsruhe (TH)
*
*   Woogle4MediaWiki is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Woogle4MediaWiki is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with Woogle4MediaWiki. If not, see <http://www.gnu.org/licenses/>.
*******************************************************************************/  

/**
 * This file is not part of the productive runtime code
 */

//remove next line to actually use it
exit;

require_once 'Zend/Search/Lucene.php';
error_reporting( E_ERROR | E_WARNING | E_PARSE );
ini_set('max_execution_time', 900); // 15min

$startTime = time();

$index = Zend_Search_Lucene::create('performance');
$xml = 'c:\\www\\wikidump\\wikipedia\\5000.xml';
$parser = simplexml_load_file($xml);


$total = count($parser->page);
echo 'reading ' . $total . ' documents from ' . $xml . '<br />';

$totalLength = 0;

for ($i = 0; $i < $total; $i++) {
	$totalLength += strlen($parser->page[$i]->revision[0]->text[0]) . ', ';
}
echo $totalLength . ' total length<br />';
$endTime1 = time();

for ($i = 0; $i < $total; $i++) {
	$doc = new Zend_Search_Lucene_Document();
	$doc->addField(Zend_Search_Lucene_Field::Keyword('content', $parser->page[$i]->revision[0]->text[0]));
	$index->addDocument($doc);
}
$index->commit();

$endTime2 = time();

$index->optimize();

$endTime3 = time();

echo '<br />';


echo 'runtime xml parser: ' . ($endTime1 - $startTime) . ' seconds<br />';
echo 'runtime lucene import: ' . ($endTime2 - $endTime1) . ' seconds<br />';
echo 'runtime lucene import + optimize: ' . ($endTime3 - $endTime1) . ' seconds<br />';

?>