<?php
/*******************************************************************************
*	This file is part of Woogle4MediaWiki
*   (http://www.mediawiki.org/wiki/Extension:Woogle4MediaWiki)
*
*	Copyright (c) 2007 - 2010 Hans-Jörg Happel and
*	FZI Forschungszentrum Informatik an der Universität Karlsruhe (TH)
*
*   Woogle4MediaWiki is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Woogle4MediaWiki is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with Woogle4MediaWiki. If not, see <http://www.gnu.org/licenses/>.
*******************************************************************************/  

// This is not a valid entry point, perform no further processing unless MEDIAWIKI is defined
if( !defined( 'MEDIAWIKI' ) ) {
	echo "This file is part of Woogle4MediaWiki and is not a valid entry point\n";
	die( 1 );
}

/**
 * This is the main inclusion file for the Native indexing addon
 */

// Autoload addon classes
woogleAutoloadClasses(array(
	'WoogleLucene'					=> '/addons/Native',
	'WoogleQueryManagerNative'		=> '/addons/Native',
	'WoogleQueryServiceNative'		=> '/addons/Native',
	'WoogleIndexServiceNative'		=> '/addons/Native',
	'WoogleZendSearchHighlighter'	=> '/addons/Native',
));

// Configure addon default values (there is not much sense in changing these values for WoogleNative)
woogleConfigureAddon(array(
	'indexAddon'			=> array('Native',			'addon used for the Woogle index (either "Native" or "Remote"'),
	'indexRepository'		=> array(1234,				'repository id this wiki should use in the index'),
	'timeout'				=> array(1,					'timeout if jobs can not be executed (in seconds)'),
));

