<?php
/*******************************************************************************
*	This file is part of Woogle4MediaWiki
*   (http://www.mediawiki.org/wiki/Extension:Woogle4MediaWiki)
*
*	Copyright (c) 2007 - 2010 Hans-Jörg Happel and
*	FZI Forschungszentrum Informatik an der Universität Karlsruhe (TH)
*
*   Woogle4MediaWiki is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Woogle4MediaWiki is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with Woogle4MediaWiki. If not, see <http://www.gnu.org/licenses/>.
*******************************************************************************/ 

// This is not a valid entry point, perform no further processing unless MEDIAWIKI is defined
if( !defined( 'MEDIAWIKI' ) ) {
	echo "This file is part of Woogle4MediaWiki and is not a valid entry point\n";
	die( 1 );
}

/**
class WoogleInformationNeed extends WoogleTermFreq {

	private $needString;
	private $needExecutions;
	private $needExecutionsWithoutResultClick;
	private $recency;
	private $resultHits;
	private $publicNDF;
	private $averageLocalNDF;
	private $sizeLocalNDFUsers;
	private $sizeQueryUsers;
	private $publicQueryUsers = array();
	private $needExecutionsWithFurtherPages;
	private $needExecutionsWithFurtherPagesAveragePages;
	private $resultClicks;
	private $uniqueClickedResults;
	private $localNDF;
	private $relatedEditablePages = array();
	
	function __construct() {
	}

	public function getLocalNDF() {
		return $this->localNDF;
	}

	public function setLocalNDF($localNDF) {
		$this->localNDF = $localNDF;
	}

	public function getOIG() {
		return $this->localNDF - $this->publicNDF;
	}

	public function getNeedString() {
		return $this->needString;
	}

	public function setNeedString($needString) {
		$this->needString = $needString;
	}

	public function getNeedExecutions() {
		return $this->needExecutions;
	}

	public function setNeedExecutions($needExecutions) {
		$this->needExecutions = $needExecutions;
	}

	public function getNeedExecutionsWithoutResultClick() {
		return $this->needExecutionsWithoutResultClick;
	}

	public function setNeedExecutionsWithoutResultClick($needExecutionsWithoutResultClick) {
		$this->needExecutionsWithoutResultClick = $needExecutionsWithoutResultClick;
	}

	public function getNeedExecutionsWithoutResultClickRatio() {
		$res = 0;
		
		// it holds: nc <= ne
		$ne = $this->getNeedExecutions();
		$nc = $this->getNeedExecutionsWithoutResultClick();
		
		if ($ne != 0){
			$res = $nc/$ne; 
		}
		
		return $res;
	}

	public function getRecency() {
		return $this->recency;
	}

	public function setRecency($recency) {
		$this->recency = $recency;
	}

	public function getResultHits() {
		return $this->resultHits;
	}

	public function setResultHits($resultHits) {
		$this->resultHits = $resultHits;
	}

	public function getPublicNDF() {
		return $this->publicNDF;
	}

	public function setPublicNDF($publicNDF) {
		$this->publicNDF = $publicNDF;
	}

	public function getAverageLocalNDF() {
		return $this->averageLocalNDF;
	}

	public function setAverageLocalNDF($averageLocalNDF) {
		$this->averageLocalNDF = $averageLocalNDF;
	}

	public function getSizeLocalNDFUsers() {
		return $this->sizeLocalNDFUsers;
	}

	public function setSizeLocalNDFUsers($sizeLocalNDFUsers) {
		$this->sizeLocalNDFUsers = $sizeLocalNDFUsers;
	}


	public function getSizeQueryUsers() {
		return $this->sizeQueryUsers;
	}

	public function setSizeQueryUsers($sizeQueryUsers) {
		$this->sizeQueryUsers = $sizeQueryUsers;
	}

	public function getPublicQueryUsers() {
		return $this->publicQueryUsers;
	}

	public function addPublicQueryUser($publicQueryUser){
		$this->publicQueryUsers.add($publicQueryUser);
	}

	public function getNeedExecutionsWithFurtherPages() {
		return $this->needExecutionsWithFurtherPages;
	}

	public function setNeedExecutionsWithFurtherPages($needExecutionsWithFurtherPages) {
		$this->needExecutionsWithFurtherPages = $needExecutionsWithFurtherPages;
	}

	public function getNeedExecutionsWithFurtherPagesRatio() {
		$res = 0;
		
		// fp <= ne
		$ne = $this->getNeedExecutions();
		$fp = $this->getNeedExecutionsWithFurtherPages();
		
		if ($ne != 0){
			$res = $fp/$ne; 
		}
		
		return $res;
	}

	public function getNeedExecutionsWithFurtherPagesAveragePages() {
		return $this->needExecutionsWithFurtherPagesAveragePages;
	}

	public function setNeedExecutionsWithFurtherPagesAveragePages($needExecutionsWithFurtherPagesAveragePages) {
		$this->needExecutionsWithFurtherPagesAveragePages = $needExecutionsWithFurtherPagesAveragePages;
	}

	public function getResultClicks() {
		return $this->resultClicks;
	}

	public function setResultClicks($resultClicks) {
		$this->resultClicks = $resultClicks;
	}

	public function getUniqueClickedResults() {
		return $this->uniqueClickedResults;
	}

	public function setUniqueClickedResults($uniqueClickedResults) {
		$this->uniqueClickedResults = $uniqueClickedResults;
	}

	public function getRelatedEditablePages() {
		return $this->relatedEditablePages;
	}
	
	public function addRelatedEditablePage($page){
		$this->relatedEditablePages.add($page);
	}

	public function setPublicQueryUsers($publicQueryUsers) {
		$this->publicQueryUsers = $publicQueryUsers;
	}

	public function setRelatedEditablePages($relatedEditablePages) {
		$this->relatedEditablePages = $relatedEditablePages;
	}

	public function getClicksPerNeedExecutionRatio() {
		$res = 0;
		
		$ne = $this->getNeedExecutions();
		$cl = $this->getResultClicks();
		
		if ($ne != 0){
			$res = $cl/$ne; 
		}
		
		return $res;
	}
*/
	/**	  all executions with too few clicks (incl. no results) 		[N/CLICKS/BL?TTERN]
	 *	  VAL = y[0...1] + z[0...1]
	 * 	    	Y = x/n (Amount of execs w/o clicks compared to all execs) (=> get all q x!=0)  - needexecratio
	 * 	    	Z = (1-(c/n)) (c= result clicks, n = execs; only positive) (=> c/n < 1) 		- clickexecratio
	 * @return
	 */

/*
 	public function getValueFewHitsNeed(){
		$res = -1;
		
		$tmp = $this->getNeedExecutionsWithoutResultClickRatio() + (1- $this->getClicksPerNeedExecutionRatio());
		
		if ($this->getNeedExecutionsWithoutResultClick() > 0 && $this->getClicksPerNeedExecutionRatio() < 1){
			$res = $this->addRecency(tmp);
		}
		Return $res;
	}
*/
 	/**
 	 *  Too many clicks: avg clicks per execution (more than 1,2) (=> c/n > 1,2)
 	 * @return
 	 */
/*
	public function getValueTooManyClicksNeed(){
 		$res = -1;
 		
 		$res = $this->addRecency($this->getClicksPerNeedExecutionRatio());
 		
 		return res;
 	}

 		
`*/
 	/**
 	 *  Too much browsing: b/n* avgNumPages (=> b/n more than 0,2)
 	 * @return
 	 */

/*
 	public function getValueTooMuchBrowsingNeed(){
 		$res = -1;
 		
 		$tmp = $this->getNeedExecutionsWithFurtherPagesRatio() * $this->getNeedExecutionsWithFurtherPagesAveragePages();
 		
 		if ($this->getNeedExecutionsWithFurtherPagesRatio() > 0.2){
 			$res = $this->addRecency($tmp);
 		}
 		
 		return res;
 	}
 	
 	public function getValueFewHitsGap(){
		return $this->getOIG() * $this->getValueFewHitsNeed();
 	}
 	
 	public function getValueTooManyClicksGap(){
 		return $this->getOIG() * $this->getValueTooManyClicksNeed();
 	}
 	
 	public function getValueTooMuchBrowsingGap(){
 		return $this->getOIG() * $this->getValueTooMuchBrowsingNeed();
 	}

 	
 	/**
 	 *  Nachfrage: N, Users, Recency
 	 *	 (RecencyArithm + last) / 2) * NumUsers/3 * ln(clicks)
 	 *   hajo: clicks = needexec? (was: .getResultClicks())
 	 * 
 	 * @return
 	 */
 	
 	/*
 	private function addRecency($f){
 		$g1 = ($this->getRecency() + getDays($this->getLastDate()))/2/10000;
 		$g2 = ($this->getSizeQueryUsers()/3 * Math.log($this->getNeedExecutions()));
 		$g = $g1 * $g2;
 		
 		//System.out.println("g1: " + g1 + " - g2: " + g2 + " - g: " + g);
 
*/
 		/*
 		float k1 = $this->getSizeQueryUsers()/3f;
 		float k2 = (float) Math.log($this->getNeedExecutions());
 		float k = k1 * k2;
 		System.out.println("k1: " + k1 + " - k2: " + k2 + " - k: " + k);
 	 	*/
 		
/*
 		float res = f * g;
 		return res;
 	}

 	*/
 	

 	/*
	private static long getDays(long milliseconds){
		return milliseconds/1000/60/60/24;
	}
	
	private static long getDays(Date d){
		Calendar c = Calendar.getInstance();
		if (d.getYear() < 1970) d.setYear(d.getYear() + 1900); // TODO
        c.set(d.getYear(), d.getMonth(), d.getDate());
        //System.out.println("  => Setting to: " + d.getYear() + " M: " + d.getMonth() + " D: " + d.getDate());
        return getDays(c.getTimeInMillis());
	}
	
	private static long getDays(){
		return getDays(System.currentTimeMillis());
	}
	*/

 	/*
	@Override
	public String getName() {
		return $this->getNeedString();
	}

	@Override
	public void setName(String name) {
		$this->setNeedString(name);
	}

	@Override
	public int getFreq() {
		return (int) $this->getNeedExecutions();
	}

	@Override
	public void setFreq(int freq) {
		$this->setNeedExecutions(freq);
	}

	@Override
	public boolean equals(Object o) {
		InformationNeed in = (InformationNeed) o;
		return $this->getNeedString().equals(in.getNeedString());
	}
	*/
/*
	public function compareTo(InformationNeed in) {
		return $this->getNeedString().compareTo(in.getNeedString());
	}
 	
}
*/

