<?php
/*******************************************************************************
*	This file is part of Woogle4MediaWiki
*   (http://www.mediawiki.org/wiki/Extension:Woogle4MediaWiki)
*
*	Copyright (c) 2007 - 2009 Hans-Jörg Happel and
*	FZI Forschungszentrum Informatik and der Universität Karlsruhe (TH)
*
*   Woogle4MediaWiki is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Woogle4MediaWiki is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with Woogle4MediaWiki.  If not, see <http://www.gnu.org/licenses/>.
*******************************************************************************/ 

// This is not a valid entry point, perform no further processing unless MEDIAWIKI is defined
if( !defined( 'MEDIAWIKI' ) ) {
	echo "This file is part of Woogle4MediaWiki and is not a valid entry point\n";
	die( 1 );
}

/**
 * Special page to override built-in Special:Search by Woogle
 * 
 * The usage of this page is determined by the global and user parameters
 * captured in WoogleConfig::isReplacingMWS(). This is checked in @see WoogleHooks.php
 * method woogleSpecialPageInit()
 */
class WoogleSpecialDummySearch extends SpecialPage{
	
	/*
	 * Constructor
	 */
	function __construct() {
		WoogleUtil::profileIn(__METHOD__);
		
		// replace standard Special:Search; do not list on Special:SpecialPaages
		parent::__construct('Search', '', false);
		
		WoogleUtil::profileOut(__METHOD__);
	}

	/*
	 *  Here the inline output of the Special page will be created
	 */
	function execute($par) {
		WoogleUtil::profileIn(__METHOD__);
		global $wgRequest, $wgOut, $wgUsePathInfo;
		
		// get request parameters
		$search 	= $wgRequest->getVal('search');
		$xgo 		= $wgRequest->getVal('go');

		// build go parameter
		$togo 		= '';
		if (isset($xgo)) $togo = '&go=' . $xgo;
		WoogleUtil::debug('Togo in DummySearch is set to: ' . $xgo);

		// redirect to Special:Woogle if query is empty
		if ($search == ''){
			$wgOut->redirect(WoogleUtil::getWoogleLinkPrefixNonadvanced());
		} else{ 
		
			// redirect to Woogle (either "Special:Woogle/$search" or "Woogle:$search")
			if ($wgUsePathInfo === false) { // if we have index.php?title=... mode
				$wgOut->redirect(WoogleUtil::getWoogleLinkPrefix() . $search  . '&ref=mw' . $togo);
			} else {
				$wgOut->redirect(WoogleUtil::getWoogleLinkPrefix() . $search  . '?ref=mw' . $togo);
			}
			
		}

		WoogleUtil::profileOut(__METHOD__);
		return;
	}
}
