<?php
/*******************************************************************************
*	This file is part of Woogle4MediaWiki
*   (http://www.mediawiki.org/wiki/Extension:Woogle4MediaWiki)
*
*	Copyright (c) 2007 - 2010 Hans-Jörg Happel and
*	FZI Forschungszentrum Informatik an der Universität Karlsruhe (TH)
*
*   Woogle4MediaWiki is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Woogle4MediaWiki is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with Woogle4MediaWiki. If not, see <http://www.gnu.org/licenses/>.
*******************************************************************************/ 

/**
 * This file contains english translations for the Woogle UI
 */
class WoogleLangEnglish implements WoogleLang {
	public function getIsoCode() {
		return 'en';
	}
	
	public function getSpecialPages() {
		return array(							// url-name					// description (shown on Special:SpecialPages)
			'Search'				=> array(	'Woogle',					'Woogle Search'),
			'Statistics'			=> array(	'WoogleStatistics',			'Woogle Statistics'),
			'Feedback'				=> array(	'WoogleFeedback',			'Woogle Feedback'),
			'Config'				=> array(	'WoogleConfig',				'Woogle Configuration'),
			'ResultInfo'			=> array(	'WoogleResultInfo',			'Woogle Result Information'),
			'Study'					=> array(	'WoogleStudy',				'Woogle Study: Participation in evaluation'),
			'Help'					=> array(	'WoogleHelp',				'Woogle Help'),
		);
	}
	
	public function getNamespaces(){
		return array(
			WOO_NS_MAIN  => "Woogle",
			WOO_NS_TALK  => "Woogle_talk",
		);
	}

	// messages required by MediaWiki without a woolge prefix
	public function getMWMessages(){
		return array(
			'prefs-wooglePreferencesMain' => 'Woogle', // duplicate for MW 1.16 compatibility
			'prefs-wooglePreferencesGroupsGeneral' => 'General settings', // duplicate for MW 1.16 compatibility
			'prefs-wooglePreferencesGroupsPrivacy' => 'Privacy', // duplicate for MW 1.16 compatibility
			'prefs-wooglePreferencesGroupsInst' => 'Scientific evaluation', // duplicate for MW 1.16 compatibility
		);
	}
	
	// TODO make more meaningful names but avoid (rendundant) "Woogle" prefix
	public function getMessages() {
		return array(
			// WoogleSearch
			'Title'								=> 'Woogle',				// value used in test case (WoogleUtilTest.php)
			'StartTitle'						=> 'Woogle',
			'ResultTitle'						=> 'Woogle search results for <$1>',
			'Refinements'						=> 'Refinements: ',
			'NoRefinements'						=> 'No refinements found.',
	        'NoPermission'						=> 'We\'re sorry, but you are currently not permitted to use Woogle - either because of your personal or system-wide configuration!<br />Try the <a href="../index.php/$1?usewikisearch=1">Wiki-Search</a> instead.',
	        'NoPermissionTitle'					=> 'Woogle search - no permission',
			'Help'								=> 'For background information and help see the [[Special:WoogleHelp|Woogle help page]]. For suggestions you may consult the [[Special:WoogleFeedback|feedback page]].', // TODO remove $1 in calling code
			'ResultsFound'						=> '$1 results found',
			'ResultsFoundOne'					=> 'One result found',
			'ResultsFoundNothing'				=> 'No results found',
			'RestrictTo'						=> ' restrict to: ',
			'ShowCount'							=> ' show: $1 results ( $2 save)',
			'ErrorTitle'						=> 'Woogle search - Error',
			'SearchGoogle'						=> 'Search Google for $1',		// value used in test case (WoogleUtilTest.php)
			'NotAvailable'						=> 'Woogle is not available at the moment.<br />Try the <a href="../index.php/$2?usewikisearch=1&search=$1">Wiki-Search</a> or <a href="http://www.google.com/search?q=$1">Google</a> instead.<br /><br />',
			'BoxEmpty'							=> '-',
			'BoxTitle'							=> 'Describe your search. This may help others to contribute missing information.',
			'WikiLink'							=> 'Create new wiki page',
			'WikiLinkButton'					=> 'Create',
			'Watch'								=> 'Watch this search',
			'WatchButton'						=> 'Create',
			'SearchButton'						=> 'Search',			
			'DiscussionLink'					=> 'Discuss this search term or its results on the [[$1|discussion page]].',
			'SearchTimeFrom'					=> 'From:',
			'SearchTimeUntil'					=> 'Until:',
			'ResultsSortBy'						=> 'Sort by:',
			'AdvancedSearchButton'				=> 'Advanced Search',
			'SimpleSearchButton'				=> 'Simple Search',
			'SearchTimePeriod'					=> 'Time period:',
			'FileSize'							=> 'File size:',
			'OrderDescending'					=> 'descending',
			'OrderByRelevance'					=> 'Relevance',
			'OrderByID'							=> 'ID',
			'OrderByLabel'						=> 'Label',
			'OrderByMimetype'					=> 'Mimetype',
			'OrderByChanged'					=> 'Changed',
			'OrderBySize'						=> 'Size',
			'InfoBoxEdit'						=> 'edit',
			'ResultLastChange'					=> 'Last change:',
			'SearchAdvancedmimetype'			=> 'File type',
			'SearchAdvancedrepository'			=> 'Data source',
			'OpenInNewTab'						=> 'Open in a new tab',
		
			// WoogleSearch (more)
			'WoogleSearchCreatePageTitle'	=>	'create this page',
			'WoogleSearchRelatedSearches'	=> '$1 related searches were executed within the last 30 days',
			'WoogleSearchRelatedSearchOne'	=> 'One related search was executed within the last 30 days',
			'WoogleSearchDiscuss'			=> 'discuss',
			'WoogleSearchDescribe'			=> 'Describe',
			'WoogleSearchNoAppropriate'		=> 'Often, no results were clicked for this search. Probably, there is no appropriate information.',
			'WoogleSearchScattered'			=> 'Various different results were clicked for this search. Information might be scattered. ',
			'WoogleSearchManyInvestigated'	=> 'Often, many result pages were investigated for this search. Information might be scattered.',
			'WoogleSearchNoPageFound'		=> 'There is no page titled "$1". You can $2.',
			'WoogleSearchDescribeOrDiscuss'	=> '$1 or $2 this search. This may help others to contribute missing information.',
			'WoogleSaveDescription'			=> 'Save description',
			'WoogleCancelDescription'		=> 'Cancel',
			'WoogleSaveDiscussion'			=> 'Save discussion',
			'WoogleCancelDiscussion'		=> 'Cancel',
			'WoogleSearchResultRemove'		=> 'remove result',
			'WoogleSearchResultRestore'		=> 'restore result',
			'WoogleSearchResultPromote'		=> 'promote',
			'WoogleSearchResultDegrade'		=> 'degrade',
			'WoogleSearchResultComment'		=> 'add a comment',
			'WoogleSearchResultAdd'			=> 'add result',
			'WoogleSearchTrashHide'			=> 'hide',
			'WoogleSearchTrashShow'			=> 'show',
		
			// WoogleSearchResult Snippets
			'WoogleSearchResultRelevance'	=> 'Relevance',
			'WoogleSearchResultRedirect'	=> 'Redirecting to &rArr;',
			'WoogleSearchResultWidth'		=> 'Width',
			'WoogleSearchResultHeight'		=> 'Height',
			'WoogleSearchResultNoTextExtracted'	=> '(File content could not be extracted)',
			'WoogleSearchResultSize'		=> 'Size',
			'WoogleSearchResultWords'		=> 'Words',
		
			// WoogleSearchAddResult
			'WoogleSearchAddResultHead'			=> 'Add new Result',
			'WoogleSearchAddResultTitle'		=> 'Resulttitle',
			'WoogleSearchAddResultUrl'			=> 'Result-Url',
			'WoogleSearchAddResultDescription'	=> 'Resultdescription',
			'WoogleSearchAddResultTitleError'		=> 'Please enter a title',
			'WoogleSearchAddResultUrlError'			=> 'Please enter an url',
			'WoogleSearchAddResultDescriptionError'	=> 'Please enter a description',
			'WoogleSearchAddResultSave'			=> 'Save',
			'WoogleSearchAddResultDelete'		=> 'Cancel',	
		
			// WoogleSearchAddComent
			'WoogleSearchCommentAdd'		=> 'Add a comment',
			'WoogleSearchCommentText'		=> 'Please enter your text here',
			'WoogleSearchCommentCancel'		=> 'Cancel',
		
			// User by Redlinks.php
			'RedLinksInlinks'					=> 'Inlinks',
			'RedLinksQueries'					=> 'Queries',
			'RedLinksWatchers'					=> 'Watchers',
			'RedLinksSearchers'					=> 'Searchers',
			'RedLinksAddWatch'					=> 'add Watch',
			'RedLinksQueriedTimesByUsers'		=> 'Page title was queried $1 times by at least $2 people.',
			'RedLinksQueriedTimesByOne'			=> 'Page title was queried $1 times by at least one person.',
			'RedLinksQueriedOnce'				=> 'Page title was queried one time by at least one person.',
			'RedLinksNoNeed'					=> 'There does not seem to be much demand for this page.',		
			'RedLinksReferencedTimes'			=> 'This page is referenced $1 times within this Wiki.',
			'RedLinksRelatedSearches'			=> '$1 related searches were executed within the last 30 days',
			'RedLinksRelatedSearchOne'			=> 'One related search was executed within the last 30 days',
			'RedLinkQualityGreen'				=> 'The quality of results for this search seems to be good.',
			'RedLinkQualityYellow'				=> 'The quality of results for this search seems to be average.',
			'RedLinkQualityRed'					=> 'The quality of results for this search seems to be low.',
			'RedLinkResultText'					=> 'This search was executed $1 times by $2 users.',
			'RedLinkResultTextFirst'			=> 'You were the first to execute this search.',
			'RedLinkResultTextOneUser'			=> 'This search was executed $1 times by one user.',
			'RedLinkResultTextOneOne'			=> 'This search was executed one time before.',
		
			//Instrumentation addon (TODO move)
			'InstrumentationLogExplanation'		=> '=== By clicking "Participate" ===
* You agree to evaluate the "Woogle" search extension for MediaWiki.
* You reveice an improved search experience in this Wiki.
* For the time of the study, your data (actions you pursue in the wiki such as page creation, searches, but not reading pages) is logged for scientific purposes.
** This data is not more (actually even less), than what is typically tracked by Webserver log files.
** Logs will be saved employing an anonymized userID which you can change at any time in [[Special:Preferences|MediaWiki Preferences]].
** Your data will not be used for anything but scientific evaluation and improvement of Woogle.
** You may be asked to fill out a short online-questionnaire at the end of the study.
* Your participation is voluntary - you may withdraw it at any time in [[Special:Preferences|MediaWiki Preferences]] ("Woogle"-Tab).

=== By clicking "No, thank you." ===
* You will not take part in the evaluation of Woogle.
* You will not receive new functionality - i.e. you can use this Wiki as usual.
* The only data logged will be your queries and clicks in an aggregated and anonymous fashion.
** This data will only be employed for statistical aggregations.
** Note that this is far less data than anyway collected by typical Webserver log files.
** However, you may revoke both issues by checking the preference "Log clicks and queries (anonymously)" in [[Special:Preferences|MediaWiki Preferences]] ("Woogle"-Tab).
* You can revisit your decision about participation at any time.

=== General remarks ===
We would be glad if you \'\'\'support our scientific study\'\'\' by clicking "Participate". If you have any questions, do not hesitate to contact Hans-Joerg Happel (happel@fzi.de).

Additional information about Woogle can be obtained at http://www.teamweaver.org/wiki/index.php/Woogle. You can find the information of this page at [[Woogle]] at any time.',
			'InstrumentationLogHeadline'		=>	'Would you like to participate in the evaluation of Woogle?',
			'InstrumentationLogAccept'			=>	'Participate',
			'InstrumentationLogDecline'			=> 	'No, thank you.',
			
			//'SpecialStudy'						=>  'WoogleStudy',
			'PrefGeneralUseWoogle'				=> 'Use Woogle',
			'PrefGeneralReplaceMWS'				=> 'Replace built-in search with Woogle',
			'PrefSharingContribution'			=> 'Receive wiki contribution requests',
			'PrefPrivacyTrackUserQueries'		=> 'Log clicks and queries (anonymously)',
			'PrefPrivacyRandomUserID'			=> 'Random user ID',
			'PrefPrivacyQueryStopwords'			=> 'Query stopwords (comma-separated)',
			'PrefInstrumentationInstrumentation'=> 'Participate in evaluation', // deprecated
			'PrefInstrumentationInstrumentationGroup'	=> 'Group', // deprecated
			'PrefInstInstEnabled'=> 'Participate in evaluation',	// duplicate for MW 1.16 compatibility
			'PrefInstInstGroup'	=> 'Group', 	// duplicate for MW 1.16 compatibility
			'PreferencesGroupsInstrumentation'	=>  'Scientific evaluation', // deprecated
			'PreferencesGroupsInst'	=>  'Scientific evaluation', // deprecated
			'PreferencesGroupsGeneral'			=>  'General settings', // deprecated
			'PreferencesGroupsSharing'			=>  'Sharing', // deprecated
			'PreferencesGroupsPrivacy'			=>  'Privacy', // deprecated

			// Special Page Feedback
			'SpecialPageFeedbackMeta'		=> 	'This page allows to send internal feedback to your Wiki administrator. If you would like to send general feedback (feature suggestions, bug reports) to the Woogle developers, please do so on our public page at [http://www.teamweaver.org/wiki/index.php/Woogle4MediaWiki/Feedback].',
			'SpecialPageFeedbackEmail'		=> 	'Your E-Mail Address',
			'SpecialPageFeedbackName'		=> 	'Your Name',	
			'SpecialPageFeedbackSubject'	=> 	'Subject',
			'SpecialPageFeedbackText'		=> 	'Message',
			'SpecialPageFeedbackEmailForgotten'		=> 	'Please enter a valid email address',
			'SpecialPageFeedbackNameForgotten'		=> 	'Please enter your name',
			'SpecialPageFeedbackSubjectForgotten'	=> 	'Please enter a subject (minimum 5 characters)',
			'SpecialPageFeedbackTextForgotten'		=> 	'Please enter a text (minimum 10 characters)',
			'SpecialPageFeedbackSend'				=>	'Thanks for your feedback',
			'SpecialPageFeedbackSendButton'			=> 	'send',
			'UserTokenError'			=>  'Error: Form was not initialized correctly (invalid user token).',
		
			// Autocomplete
			'WoogleAutocompleteHits'		=> 'hits', 
			'WoogleAutocompleteHitsSingle'	=> 'hit', 
		
			// WoogleWatchAlertNotification
			'WoogleAlertNotificationSubject'	=> 'Your Watch at $1',
			'WoogleAlertNotificationBody'		=> 'Dear $1
			
The document < $2 > in $3 was changed on $4 and 
is matching your watches for:
$5

see $6 
for the current version.

	Your $3 notification system.',		
		
			// OpenSearch
			'OpenSearchLongTitleDefault'	=> 'Woogle $1 Search',
			'OpenSearchLongTitleAll'		=> 'Woogle $1 Search (in all repositories)',
			'OpenSearchDescDefault'			=> 'Searches $1 content only',
			'OpenSearchDescAll'				=> 'Searches Wiki and further repositories\' content',
						
			// Special:WoogleStaticstics
			'StatisticsGeneral'				=> 'General Information',
			'StatisticsPopularQueries'		=> 'Popular Queries',
			'StatisticsPopularResults'		=> 'Popular Results',
			'StatisticsPopularSources'		=> 'Popular Sources',
			'StatisticsRepoNumber'			=> 'Repository No.',
			'StatisticsUnsatisfiedNeeds'	=> 'Unsatisfied Information Needs',
			'StatisticsUnsatisfiedFewClicks'	=> 'Unsatisfied Queries with few hits/clicks',
			'StatisticsUnsatisfiedDiffClicks'	=> 'Unsatisfied Queries with many different clicks',
			'StatisticsLessHits'			=> 'Search Queries with less than 10 hits',
			'StatisticsUnsatisfiedBrowse'	=> 'Unsatisfied Queries with much browsing',
			'StatisticsWoogleUsage'			=> ' Woogle Usage',
		
			// Special:WoogleHelp
			// Instrumentation
			'InstrumentationHelpInit'		=> 'Please have a quick look on this page and then <a href="$1">continue with your search</a>.',
			'InstrumentationHelpExit'		=> '<a href="$1">Continue with your search</a>',
			// Header
			'HelpIntro'						=> 'Woogle is an alternative to the built-in search of this Wiki. This page explains the features and usage of Woogle.',
			'HelpDisabledSystem'			=> 'Woogle is currently disabled by your system administrator',
			'HelpPermitted'					=> 'Sorry, but you are not permitted to use Woogle at the moment. Ask your system administrator for help.',
			'HelpDisabledUser'				=> 'Note: Woogle is currently disabled in your personal settings. Visit the Wooge-Tab in [[Special::Preferences]] to enable Woogle.',
			// Search
			'HelpSearch'					=> 'Searching with Woogle',
			'HelpSearchReplace'				=> 'Woogle is currently configured as the default search for this Wiki - i.e. you can use the normal search box on any page to start a Woogle search (this feature can be disabled in your MediaWiki preferences - see <a href="#help_config">configuration settings</a>).',
			'HelpSearchText'				=> 'The Woogle main search form is accessible directly via the MediaWiki Special Page [[Special:Woogle]].',	// TODO Image
			'HelpSearchAdvanced'			=> 'In the Woogle search form, you can also restrict your search to certain repositories or datatypes.',	// TODO Image
			'HelpWooglePages'				=> 'Woogle Pages',
			'HelpWooglePagesText'			=> 'In Woogle, each search request can be represented as a Wiki page - e.g. <tt>Woogle:Test</tt>. Thus, you can start a discussion about a search, but also create a small wiki page for each search request. Such pages can be used to elaborate on the information need, or to convey tipps on searching that topic for fellow users.',
			'HelpResultsCaption'			=> 'Woogle-Pages and search results',
			'HelpAutocomplete'				=> 'Search-term autocompletion',
			'HelpAutocompleteText'			=> 'Woogle can suggest search terms by providing an autocompletion feature on the search input field. Once you type more than three characters, a small pop-up will appear and provide a list of related terms. Clicking these terms will search for them. Currently, autocomplete only suggests single query terms.', 	// TODO Image
			'HelpAutocompleteFull'			=> ' Term suggestions stem from all words used in the title and content of Wiki pages.',
			'HelpAutocompleteRestricted'	=> ' Term suggestions stem from all words contained in Wiki page titles.',
			'HelpOpenSearch'				=> 'OpenSearch',
			'HelpOpenSearchText'			=> 'Some web browsers such as Internet Explorer and Firefox offer a quick search bar to directly launch searches on external sites. Woogle will be automatically recognized by the browsers when you are browsing your Wiki.',
			'HelpOpenSearchRemote'			=> 'Since Woogle might enable access to other data sources than just the Wiki, there are two different options - either to search the Wiki content only, or to search all content available to Woogle.',
			'HelpSyntax'					=> 'Search syntax',
			'HelpSyntaxText'				=> 'Woogle does not differentiate between uppercase and lowercase input. If you enter more than a single search term, Woogle will find all documents containing \'\'both\'\' terms (logical \'\'AND\'\'). Woogle also supports wildcards (?, *) and phrase search (e.g. "Hello World").',
			/*'HelpSyntaxText'				=> 'Woogle does not differentiate between uppercase and lowercase input. If you enter more than a single search term, Woogle will find all documents containing \'\'both\'\' terms (logical \'\'AND\'\'). You may furthemore use in your search queries:
* Boolean modifyers (AND, NOT) - e.g. &laquo;Word1 +Word2&raquo; or &laquo;Word1 -Word2&raquo;
* Phrase search - e.g. "Hello World"
* Wildcards (?, *) - e.g. Calend*or Calenda?
* Fuzzy seach (~ at word boundaries) - e.g. Busyness~
* Near matches - e.g. "Word Word2"~10 (Word1 and Word2 must be within a 10-word distance in a document)
			',*/
			'HelpSocialResults'				=> 'Social search result ranking',
			'HelpSocialResultsText'			=> 'tbd.',
		
			// Alerts
			'HelpAlerts'					=> 'Woogle Alerts',
			'HelpAlertsText'				=> 'A Wiki is a dynamic system, in a sense that content is never \'\'complete\'\', but all pages might be improved at any time by the users. MediaWiki acknowledges this fact by allowing to "watch" pages to get notifications on later changes. Woogle generalizes this concepts by introducing \'\'WoogleAlerts\'\'. By using the built-in "watch" meachanism on Woogle:Search pages, users can be notified on the creation and changes on Wiki pages which contain arbitrary query terms. Example: to get notified on any creation or change of a page or attached file mentioning "Tim Berners-Lee", you need to search for "Tim Berners-Lee" and select "watch" on the upcoming search page Woogle:Tim Berners-Lee.',
			// Knowledge Sharing
			'HelpKnowledgeSharing'			=> 'Knowledge Sharing',
			'HelpKnowledgeSharingRed'		=> 'Woogle uses statistical information from the Wiki (inlinks) and about search queries to rank Wiki pages not yet existing ("red links"). Red links with a high demand will be highlighted with an asterisk ("*") within the Wiki. If you move your mouse on a red link, Woogle will display information about the demand for that content.',
			'HelpRedCaption'				=> 'Red links (wanted pages)',
			'HelpKnowledgeSharingStats'		=> 'Via [[Special:WoogleStatistics]] you can see additional statistics about popular searches, results and more.',
			// Config
			'HelpConfiguration'				=> 'Woogle Configuration',
			'HelpConfigurationText'			=> 'Besides global configuration by the Wiki administrator, Woogle allows for user-defined preferences. You can customize various settings using the "Woogle"-tab in the main MediaWiki preference pages ([[Special:Preferences]]). You can change:
* General settings
** "Use Woogle" - if you want to use Woogle features in this Wiki
** "Replace built-in search with Woogle" - if Woogle should be launched when using the MediaWiki search field 
* Privacy
** "Log clicks and queries (anonymously)" - if your queries and clicks can be stored in an aggregated fashion
** "Random user ID" - random userId used for query and instrumentation logging 
* Scientific evaluation (may not be enabled in your Wiki)
** "Participate in evaluation" - revoke or affirm your participation in the evaluation (see below for more info)
** "Group" - evaluation group assigned (you can not change this) ',
			// Privacy
			'HelpPrivacy'					=> 'Privacy',
			'HelpPrivacyText'				=> 'Woogle tracks and analyzes query and result click data to optimize the search process and to identify desired content. However, Woogle does not maintain a detailed search history of every user, but stores only aggregated and anonymized query information. In particular, each unique query term and each combination of a query term and a search result are represented by one entry in the database. For these entries, the database stores the first, last and average time the query resp. click was executed and the anonymized user id for every user issueing that query. Note that this is far less data than recorded in typical web server access logs. You can find more detailed information on the <a href="http://www.teamweaver.org/wiki/index.php/Woogle4MediaWiki/Privacy">Woogle privacy website</a>.',
			// Evaluation
			'HelpEvaluation'				=> 'Woogle Evaluation',
			'HelpEvaluationText'			=> 'Woogle is under continous development and subject to scientific evaluation. For these purposes, additional data will be collected in an anonymized fashion. You have to explicitly agree to take part in the evaluation - without your consent, no additional data will be logged. Additional information can be found on the [http://www.teamweaver.org/wiki/index.php/Woogle4MediaWiki/Instrumentation Woogle Instrumentation website].

Below is the text of the evaluation screen that appears on your first search after the activation of Woogle.

\'\'Would you like to participate in the evaluation of Woogle?\'\'
 
=== By clicking "Participate" ===
* you agree to evaluate the "Woogle" search extension for MediaWiki
* you reveice an improved search experience in this Wiki
* for the time of the study, your data (actions you pursue in the wiki such as page creation, searches but not reading pages) is logged for scientific purpose
** this data is not more (actually even less), than what is typically tracked by Webserver log files
** logs will be saved employing an anonymized userID which you can change at any time in MediaWiki Preferences
** your data will not be used for anything but scientific evaluation and improvement of Woogle
** you will be asked to fill out a short online-questionnaire at the end of the study 
* your participation is voluntary
** you may withdraw your participation at any time in MediaWiki Preferences ("Woogle"-Tab) 

=== By clicking "No, thank you." ===
* you will not take part in the evaluation of Woogle
* you will not receive new functionality - i.e. you can use this Wiki as usual
* the only data logged will be your queries and clicks in an anonymous fashion
** this data will only be employed for statistical aggregations
** note that this is far less data than anyway collected by typical Webserver log files
** however, you may revoke both issues by checking the preference "Log clicks and queries (anonymously)" in MediaWiki Preferences ("Woogle"-Tab) 
* you can revisit your decision about participation at any time ', // TODO: duplicate!
			// Feedback
			'HelpFeedback'					=> 'Woogle Feedback',
			'HelpFeedbackText'				=> 'You can give feedback to your Wiki administrator via [[Special:WoogleFeedback]]. For general feedback, please visit [http://www.teamweaver.org/wiki/index.php/Woogle4MediaWiki/Feedback].',
			'HelpAbout'						=> 'About Woogle',
			'HelpAboutText'					=> 'Woogle is OpenSource and has been developed by <a href="http://www.fzi.de">FZI Research Center for Information Technology</a> in Karlsruhe, Germany. You can find more information on Woogle on <a href="http://www.mediawiki.org/wiki/Extension:Woogle4MediaWiki">mediawiki.org</a> and on <a href="http://www.teamweaver.org">teamweaver.org</a>.',
				
        );
	}
}
