<?php
/*******************************************************************************
*	This file is part of Woogle4MediaWiki
*   (http://www.mediawiki.org/wiki/Extension:Woogle4MediaWiki)
*
*	Copyright (c) 2007 - 2010 Hans-Jörg Happel and
*	FZI Forschungszentrum Informatik an der Universität Karlsruhe (TH)
*
*   Woogle4MediaWiki is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Woogle4MediaWiki is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with Woogle4MediaWiki. If not, see <http://www.gnu.org/licenses/>.
*******************************************************************************/ 

require_once('blankstart.php');

$resultWidth = WoogleConfig::get('resultWidth');
header('Content-type: text/css');
?>

p.error {
	font-weight:bold;
	color:red;
}

.woogle_search_input{
	font-family:	arial,helvetica,clean,sans-serif;
	font-size:	15px;
	font-weight:	bold;
	font-style:	normal;
	color:	#000000;
	line-height:	18px;
	text-align:	start;
	vertical-align:	baseline;
	background-color:	#FFFFFF;
	background-image:	none;
	background-repeat:	repeat;
	background-position:	0 0;
	background-attachment:	scroll;	
	width:	150px;
	margin: 0px;
	padding-top:	3px;
	padding-right:	10px;
	padding-bottom:	3px;
	padding-left:	10px;
	border-top-width:	1px;
	border-right-width:	1px;
	border-bottom-width:	1px;
	border-left-width:	1px;
	border-top-color:	#929292;
	border-right-color:	#D5D5D5;
	border-bottom-color:	#D5D5D5;
	border-left-color:	#929292;
	border-top-style:	solid;
	border-right-style:	solid;
	border-bottom-style:	solid;
	border-left-style:	solid;
	
	-moz-box-sizing:	content-box;	
	cursor:	text;	
	marker-offset:	auto;
}

.woogle_search_button{
	font-family:	arial,helvetica,clean,sans-serif;
	font-size:	15px;
	font-weight:	bold;
	font-style:	normal;
	color:	#000;
	line-height:	20px;
	text-align:	center;
	vertical-align:	baseline;
	/*background:	url(images/button_bg.png) bottom repeat-x #DDEEFF;*/
	height:	24px;
	margin: 0px;
	margin-left:	7px;
	padding: 0px 17px;
	/*border: 1px solid #E5A716;*/
	cursor:	pointer;
}

.woogle_advanced {
	width: 100%;
}

.woogle_advanced_nf {
	background-color: #9cf;
	text-align: left;
	width: 100%;
}

.woogle_resultlink {
	font-size: 120%;
	/* font-weight: bold; */
}

.woogle_source {
	font-size: 85%;
	color:#999;
}

.woogle_result {
	width: <?php echo $resultWidth; ?>px;
}

.woogle_wooglebutton {
	font-size: 100%;
	font-weight: bold;
}

.woogle_googlebutton {
	font-size: 80%;
}

div#woogleCell{
	background-color:  #F7F7F7;
	border: 4px solid #B0BFE8;
	padding: 0.5em;
	/* clear: both; */
	float: right;
}

div#woogleResults{
	margin-top: 2em;
	clear: both;
}

div#woogleCell2{
	margin-bottom: 1em;
	background-color:  #F7F7F7;
	border: 4px solid #B0BFE8;
	padding: 0.5em;
	width: 550px;
	float: left;
    z-index: 2;
}

div#woogleCell3{
	/* margin-top: 1em; */
	background-color:  #F7F7F7;
	border: 4px solid #B0BFE8;
	padding: 0.5em;
	width: 450px;
	float: left;
	clear: left;
    z-index: 2;
}

div#advancedCell{
	background-color:  #F7F7F7;
	border: 4px solid #B0BFE8;
	padding: 0.5em;
    z-index: 1;
	/* clear: both; */
	float: right;
	/* position: relative; */
	/* top:-150px; */
}

div#advancedCell div {
	margin-left:8px;
	margin-bottom:8px;
	font-weight:normal;
}

div#advancedCell div div {
	margin:0px;
	font-weight:bold;
}

div.redLink {
	display: none;
	position: absolute;
	background-color: #000;
	padding: 1px;
}

div.redLink table {
	background-color: #9cf;
}

div#tooltip {
	position:absolute;
	border:1px solid #333;
	background:#f7f5d1;
	padding:2px 5px;
	color:#333;
	display: none;
	z-index: 101;	
}

div#tooltip table {
	font-size: 12px;	
}

/*
	AutoComplete
*/
.ac_results {
    cursor: pointer;
    background-color: white;
    border: 1px solid black;
    padding: 0px;
    z-index: 99999;    
}

.ac_results ul {    
	list-style-image: none;
	list-style-type: none;
	list-style-position: outside;
    padding: 0;
    margin: 0;
	width: 100%;
}

.ac_results  li {
	overflow: hidden;
	padding: 2px 5px;
	line-height: 16px;
	font-size: 12px;
	margin: 0px;
}

.ac_results li a:visited,
.ac_results li a:hover,
.ac_results li a:active,
.ac_results li a,
.ac_results li
{
	text-decoration: none;
	color: black;
}

.ac_results li span {
	font-size: 0.8em;
	color: grey;
}

.ac_results li.ac_even {
	background-color: #FFF;
}

.ac_results li.ac_odd,
.ac_results li.ac_odd table {
	background-color: #DDD;
}

.ac_results li.ac_over,
.ac_results li.ac_over table {
	background-color: #0A246A;
}

.ac_results li.ac_over a,
.ac_results li.ac_over table {
	color: white;
}

/* thanks udoline: this fixed position error into msie */

.ac_results iframe {
    width: 200px;
    position: absolute;
}

/*
	InPlaceEditing
*/
.inPlaceEditingTextarea {
	margin: 5px; 
	width:520px; 
	height: 200px;
}

.inPlaceEditingDescriptionText {
	width: 525px; 
	background-color: #def; 
	padding: 10px;
}
