<?php
/*******************************************************************************
*	This file is part of Woogle4MediaWiki
*   (http://www.mediawiki.org/wiki/Extension:Woogle4MediaWiki)
*
*	Copyright (c) 2007 - 2010 Hans-Jörg Happel and
*	FZI Forschungszentrum Informatik an der Universität Karlsruhe (TH)
*
*   Woogle4MediaWiki is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Woogle4MediaWiki is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with Woogle4MediaWiki. If not, see <http://www.gnu.org/licenses/>.
*******************************************************************************/ 

require_once('Woogle_TestCase.php');

class WoogleConfigTest extends Woogle_TestCase{

    protected function setUp(){
    	//$this->prepareTestDb();
    }
	
	protected function tearDown(){
		// TODO FZ?
	}
	
	/* Test methods */
	
    public function testIndexAddon(){
        $this->assertEquals('Native', WoogleConfig::get('indexAddon'));
    }

	public function testGetSet(){
	 	WoogleConfig::set('accessGroups', array('Val'));
	 	$this->assertEquals(array('Val'), WoogleConfig::get('accessGroups'));
	}
    
	public function testSetNewValue(){
	 	WoogleConfig::setNewValue('Key', array('ValNew', 'Commment'));
	 	$this->assertEquals('ValNew', WoogleConfig::get('Key'));
	 	$this->assertEquals('Commment', WoogleConfig::getComment('Key'));
	}
	 
	 public function testGetComment(){
	 	$this->assertNotNull(WoogleConfig::getComment('accessGroups'));
	 }
	 
	 public function testGetKeys(){
	 	$this->assertTrue(count(WoogleConfig::getKeys()) > 0);
	 }
	 
    public function testGetSetPreferences(){
		
    	// TODO
    	
    	//global $wgUser;
    	//$wgUser = User::newFromId(1);
		//$wgUser = User::newFromName('WikiSysop');
		//WoogleConfig::setPref('Privacy', 'RandomUserID', 'wikisysop_id');
		//$this->assertEquals('wikisysop_id', WoogleConfig::getPref('Privacy', 'RandomUserID'));
    	
	 }
	 
	public function testGetPreferences(){
		$this->assertTrue(count(WoogleConfig::getPreferences()) > 0);
	}
	 
	public function testIsEnabled(){
		$this->assertTrue(WoogleConfig::isEnabled());
	}

	public function testIsReplacingMWS(){
	 	$this->assertTrue(WoogleConfig::isReplacingMWS());
	}
	 	 	
	public function testHasPermission(){
	 	$this->assertTrue(WoogleConfig::hasPermission());
	}
	 
	 
	 
}



?>
